' *
' * The project site is at: http://sourceforge.jp/projects/fishbornas/
' *
' * First author tiritomato 2012.
' *
' * Distributed under the FishbornArchiveShelf License (See
' *  file "Licenses/License.txt" contained in a project, or the following link.
' *  http://sourceforge.jp/projects/fishbornas/scm/svn/blobs/head/trunk/Licenses/License.txt)
' *
' * 2012.06.07 Initial Revision (tiritomato)
' *

Partial Public Class AppBase

    Public Class ArchiveItemSelectedArgs
        Public Path As String
        Public ExitCode As AppBase.RESULT
        Public GetEntries() As AppBase.Archive.EntryInfo
        Public Class Echoes
            Inherits Logic.Echoes(Of ArchiveItemSelectedArgs)
            Public Shadows Sub Echo(ByVal Path As String, ByVal ExitCode As AppBase.RESULT, ByVal GetEntries() As AppBase.Archive.EntryInfo)
                Dim e As New ArchiveItemSelectedArgs
                e.Path = Path
                e.ExitCode = ExitCode
                e.GetEntries = GetEntries
                MyBase.Echo(e)
            End Sub
        End Class
    End Class

End Class
